package org.academiadecodigo.bootcamp.fxlogin.persistence.dao.jpa;

import org.academiadecodigo.bootcamp.fxlogin.model.User;
import org.academiadecodigo.bootcamp.fxlogin.persistence.dao.UserDao;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public class JpaUserDao extends JpaDao<User> implements UserDao {
    public JpaUserDao() {
        super(User.class);

    }

    @Override
    public User findByUsername(String username) {
        return super.find("username", username);

    }
}
